#!/usr/bin/env python

import argparse
from helper import util


def main(args):
    if args.dir_trabajo:
        entrada = util.join(args.dir_trabajo, 'entrada')
        sellados = util.join(args.dir_trabajo, 'sellados')
        timbrados = util.join(args.dir_trabajo, 'timbrados')
    else:
        entrada = args.dir_entrada
        sellados = args.dir_sellados
        timbrados = args.dir_timbrados

    if args.generar:
        util.make_cfdi(entrada, sellados, args.dir_cert, args.nombre)

    if args.timbrar:
        util.stamp_pac(sellados, timbrados)
    return


def _process_command_line_arguments():
    parser = argparse.ArgumentParser(
        description='CFDI Test')

    parser.add_argument('-dc', '--dir-cert', default='')
    help = "Nombre de los certificados, el predeterminado es 'cert'"
    parser.add_argument('-n', '--nombre', help=help, default='cert')

    parser.add_argument('-d', '--dir-trabajo', dest='dir_trabajo', default='')
    parser.add_argument('-de', '--dir-entrada', dest='dir_entrada', default='')
    parser.add_argument('-ds', '--dir-sellados', dest='dir_sellados', default='')
    parser.add_argument('-dt', '--dir-timbrados', dest='dir_timbrados', default='')

    parser.add_argument('-g', '--generar', dest='generar',
        action='store_true', default=False, required=False)
    parser.add_argument('-t', '--timbrar', dest='timbrar',
        action='store_true', default=False, required=False)

    return parser.parse_args()


if __name__ == '__main__':
    args = _process_command_line_arguments()
    main(args)
